import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDisplayPropsParams, GetPricePerShareParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { DfxContractFactory, DfxCurve } from '../contracts';
export declare abstract class DfxCurveTokenFetcher extends AppTokenTemplatePositionFetcher<DfxCurve> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: DfxContractFactory;
    abstract poolAddresses: string[];
    constructor(appToolkit: IAppToolkit, contractFactory: DfxContractFactory);
    getContract(address: string): DfxCurve;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<DfxCurve>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ contract, appToken }: GetPricePerShareParams<DfxCurve>): Promise<number[]>;
    getLabel({ appToken }: GetDisplayPropsParams<DfxCurve>): Promise<string>;
}
